226 Отредактировано Tamik (16-08-2013 09:54:09)

Re: [Theme for Diablo] Diablo 5

не устанавливаются эти пакеты

libhildondesktop0
libhildonwm0
hildon-desktop

тему предварительно удалил

hildon-application-manager 2.1.19.1
apt-worker: Ignoring version from wrong domain: matchbox-window-manager 2:1.2-osso18
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: libatk1.0-0 1.18.0-1osso5
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: libpopt0 1.7-6
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: tslib 0.1.1-12
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: libstdc++6 3.4.4cs2005q3.2-5.osso8
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: libusb-0.1-4 2:0.1.12-5osso1
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: libxfixes3 1:4.0.3-2osso1
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: shared-mime-info 0.19-1
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: lsof 4.70-1osso1
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: libid3-3.8.3 3.8.3-5osso19
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: libhildonnotify0 0.0.2-1
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: hildon-thumbnail-libid3 0.7
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: clinkc-av0 1.0-14.4
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: osso-gwconnect 1.0.12
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: libx11-data 2:1.1.1-1osso3
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: osso-memory-backend 0.17
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: hildon-theme-cacher 0.4.3-1
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: osso-bluez-compat 0.14
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: libsdl1.2 1.2.8-23
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: libnotify1 0.4.4-2
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: libsqlite3-0 3.4.1-1osso3
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: libpango1.0-common 1.16.4-1osso5
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: telepathy-feed 0.32
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: gcc-3.4-base 3.4.4cs2005q3.2-5.osso8
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: osso-esd 0.52-14
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: libelfg0 0.8.5-1osso1
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: gstreamer0.10-rtpmanager-osso 0.10.5-0osso4
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: libgcc1 1:3.4.4cs2005q3.2-5.osso8
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: hildon-control-panel 1:2.0.1-1
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: libxau6 1:1.0.3-2osso1
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: galago-daemon 0.5.1-0osso3
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: libpango1.0-0 1.16.4-1osso5
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: gtk2-engines-sapwood 3.0.0-1
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: libesd0 0.52-14
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: gstreamer0.10-ffmpeg-osso 1.11.3
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: libxft2 2.1.12-2osso1
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: libxcomposite1 1:0.3.1-2
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: libice6 1:1.0.0-3
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: libmatchbox1 2:1.9-osso6
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: libxdmcp6 1:1.0.2-2osso1
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: makedev 2.3.1-73osso-4
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: libxml2 2.6.27.dfsg-1.maemo1
apt-worker:   /var/lib/apt/lists/repository.maemo.org_extras_dists_diablo_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: libxml2 2.6.27.dfsg-1.maemo1
apt-worker:   /var/lib/apt/lists/repository.maemo.org_extras-devel_dists_diablo_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: libdb1 1.85.4-osso7
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: libglade2-0 1:2.4.0-1osso2
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: hildon-thumbnail 0.14
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: libasound2 1.0.14sa-2maemo2
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: libxrender1 1:0.9.2-1osso1
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: gtk20-l10n 4.2
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: libaudiofile0 0.2.6-3osso6
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: libxsp0 1.2.3-4
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: zlib1g 1:1.2.3-9.osso8
apt-worker:   /var/lib/apt/lists/repository.maemo.org_extras_dists_diablo_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: zlib1g 1:1.2.3-9.osso8
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: zlib1g 1:1.2.3-9.osso8
apt-worker:   /var/lib/apt/lists/repository.maemo.org_extras-devel_dists_diablo_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: libiw29 29~pre21-2.osso1
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: libfontenc1 1:1.0.1-4
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: libpng12-0 1.2.8rel-1osso5
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: libjpeg62 6b-9osso5
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_non-free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: libsdl-mixer1.2 1.2.6-4
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: libxtst6 1:1.0.1-5osso1
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: libasound2-plugins 1.0.14s-1maemo4
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: posix-locales 2.5.0-1osso1
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: usbutils 0.72-8osso2
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: x11-common 1:7.4~5maemo3
apt-worker:   /var/lib/apt/lists/repository.maemo.org_extras-devel_dists_diablo_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: x11-common 1:7.0.14osso1
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: libdb4.2 4.2.52+dfsg-2
apt-worker:   /var/lib/apt/lists/repository.maemo.org_extras_dists_diablo_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: libdb4.2 4.2.52+dfsg-2
apt-worker:   /var/lib/apt/lists/repository.maemo.org_extras-devel_dists_diablo_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: libdb4.2 4.2.52-18osso
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: libx11-6 2:1.1.1-1osso3
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: clipboard-manager 0.6.8-1
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: libsm6 2:1.0.2-2osso2
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: liboil0.3 0.3.10-1
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: libxdamage1 1:1.1.1-3osso1
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: libsharedmem1 0.1.0-4
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: libxi6 2:1.1.0-2osso1
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: libxcursor1 1:1.1.8-2osso1
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: libxt6 1:1.0.5-2osso1
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: desktop-file-utils 0.12-1osso2
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: libxv1 2:1.0.3-1osso1
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: libxext6 1:1.0.3-2osso1
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: libreadline4 4.3-10
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: iptables 1.3.6.0debian1-5ubuntu5osso4
apt-worker:   /var/lib/apt/lists/repository.maemo.org_extras-devel_dists_diablo_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: libxrandr2 2:1.2.1-1
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: xkbutils 1:1.0.1-0ubuntu1osso4
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: libhildon-thumbnail0 0.14
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: libxkbfile1 1:1.0.4-1osso1
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: libopenobex1 1.3osso5
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
apt-worker: Ignoring version from wrong domain: libsdl-image1.2 1.2.4-5
apt-worker:   /var/lib/apt/lists/repository.maemo.org_dists_chinook_free_binary-armel_Packages
/usr/bin/dpkg-deb -f '/home/user/MyDocs/.images/hildon-desktop_2.0.18-1fix1mtr_armel.deb'
Package must have "Section: user/FOO" to be considered compatible.
FAILED: libhildondesktop0 (>= 1:2.0.18-1fix1mtr)
FAILED: libhildonwm0 (>= 1:2.0.18-1fix1mtr)
Nokia n810 Maemo OS2008 5.2010.33-1

227

Re: [Theme for Diablo] Diablo 5

попробуйте через apt-get:

apt-get install libhildondesktop0 libhildonwm0 hildon-desktop

Вывод выложите сюда

N̶8̶0̶0̶ + N̶8̶1̶0̶ + N̶9̶0̶0̶ + N̶9̶5̶0̶ + N̶9̶ ̶C̶y̶a̶n̶ + N̶9̶ ̶B̶l̶a̶c̶k̶

228

Re: [Theme for Diablo] Diablo 5

$ apt-get install libhildondesktop0 libhildonwm0 hildon-desktop
E: Не удалось открыть файл блокировки /var/lib/dpkg/lock - open (13 Permission denied)
E: Unable to lock the administration directory (/var/lib/dpkg/), are you root?
Nokia n810 Maemo OS2008 5.2010.33-1

229

Re: [Theme for Diablo] Diablo 5

Забыли от рута выполнить smile

Nokia n810 Maemo OS2008 5.2010.33-1
Nokia N9 1.3

230 Отредактировано Tamik (20-08-2013 07:24:29)

Re: [Theme for Diablo] Diablo 5

Nokia-N810-43-7:~# apt-get install libhildondesktop0 libhildondonwm0 hildon-desktop
Чтение списков пакетов... Готово
Построение дерева зависимостей
Reading state information... 0% Reading state information... Готово
Уже установлена самая новая версия libhildondesktop0.
E: Не удалось найти пакет libhildondonwm0
Nokia-N810-43-7:~#

получается что у меня стоят все эти пакеты? smile

Nokia n810 Maemo OS2008 5.2010.33-1

231

Re: [Theme for Diablo] Diablo 5

libhildondesktop0 — да
libhildondonwm0 не установился, потому что вы опечатались в названии
До hildon-desktop видимо дело не дошло, остановившись на ошибке предыдущего пакета

N̶8̶0̶0̶ + N̶8̶1̶0̶ + N̶9̶0̶0̶ + N̶9̶5̶0̶ + N̶9̶ ̶C̶y̶a̶n̶ + N̶9̶ ̶B̶l̶a̶c̶k̶

232

Re: [Theme for Diablo] Diablo 5

Вот что выдает,когда ввожу исправленную команду(

Nokia-N810-43-7:~# apt-get install libhildondesktop0 libhildonwm0 hildon-desktop
E: Не удалось получить доступ к файлу блокировки /var/lib/dpkg/lock - open (11 Resource temporarily unavailable)
E: Unable to lock the administration directory (/var/lib/dpkg/), is another process using it?
Nokia-N810-43-7:~#

Nokia n810 Maemo OS2008 5.2010.33-1

233

Re: [Theme for Diablo] Diablo 5

Заблокирован dpkg (обычно бывает такая штука когда открыт диспетчер приложений и т.п. программы, которые используют один и тот же файл). Лечится поиском и убиванием блокирующего процесса, ожиданием или банальной перезагрузкой устройства.

Nokia n810 Maemo OS2008 5.2010.33-1
Nokia N9 1.3